<?php

class Core_Test_Request extends Core_Request {

    /**
     * @var string
     */
    protected $_method = '';

    public function getMethod() {
        if ( ! $this->_method ) {
            $this->_method = 'GET';
        }

        return $this->_method;
    }

    /**
     * @param string $method
     */
    public function setMethod( $method ) {
        $this->_method = $method;
        return $this;
    }

} 